webpackJsonp([3],{

/***/ 756:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WaypointInfoPageModule", function() { return WaypointInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__shared_components_header_header_module__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__shared_pipe_pipes__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__waypoint_info__ = __webpack_require__(764);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






var WaypointInfoPageModule = /** @class */ (function () {
    function WaypointInfoPageModule() {
    }
    WaypointInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_5__waypoint_info__["a" /* WaypointInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_4__shared_pipe_pipes__["a" /* Pipes */],
                __WEBPACK_IMPORTED_MODULE_3__shared_components_header_header_module__["a" /* HeaderComponentModule */],
                __WEBPACK_IMPORTED_MODULE_2__ngx_translate_core__["b" /* TranslateModule */],
                __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_5__waypoint_info__["a" /* WaypointInfoPage */]),
            ],
            entryComponents: []
        })
    ], WaypointInfoPageModule);
    return WaypointInfoPageModule;
}());

//# sourceMappingURL=waypoint-info.module.js.map

/***/ }),

/***/ 764:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WaypointInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_services_data_service__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__iframe_popover__ = __webpack_require__(402);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the WaypointInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WaypointInfoPage = /** @class */ (function () {
    function WaypointInfoPage(events, navCtrl, navParams, _popoverCtrl, _ds, _app) {
        this.events = events;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this._popoverCtrl = _popoverCtrl;
        this._ds = _ds;
        this._app = _app;
        this.onPlaySelected = false;
        console.log("WaipointInfoPage Corretta");
        this._waypoint = this.navParams.data[0];
        this._parentViewCtrl = this.navParams.data[1];
    }
    Object.defineProperty(WaypointInfoPage.prototype, "waypoint", {
        get: function () { return this._waypoint; },
        enumerable: true,
        configurable: true
    });
    WaypointInfoPage.prototype.getBackgroundImage = function (id) {
        var url = "url( https://www.mazaravalley.info/uploads/items/" + id + "/uploads/01_400x400.jpg)";
        return { 'background-image': url };
    };
    WaypointInfoPage.prototype.createPopover = function (url, title, classStyle) {
        console.log(url);
        if (url.includes('https://youtu.be/')) {
            url = "https://www.youtube.com/embed/" + url.split('https://youtu.be/')[1];
        }
        this._virtualToutPopover = this._popoverCtrl.create(__WEBPACK_IMPORTED_MODULE_3__iframe_popover__["a" /* IframePopoverPage */], {
            url: url,
            title: title
        }, { cssClass: classStyle + "-popover" });
        this._virtualToutPopover.present();
    };
    WaypointInfoPage.prototype.addPhoto = function () {
        this._ds.addPhoto(this._waypoint.id);
    };
    WaypointInfoPage.prototype.goTo = function (page, param) {
        this._app.getRootNav().push(page, param);
    };
    WaypointInfoPage.prototype.onClickCancel = function () {
        this._parentViewCtrl.dismiss();
    };
    WaypointInfoPage.prototype.onAudioPlay = function () {
        this.onPlaySelected = !this.onPlaySelected;
        if (this.onPlaySelected) {
            this.audioPlayerRef.nativeElement.play();
        }
        else {
            this.audioPlayerRef.nativeElement.pause();
        }
    };
    WaypointInfoPage.prototype.goToNextTab = function () {
        this.events.publish('tab:clicked', { tab: 3 });
    };
    WaypointInfoPage.prototype.goToExternal = function (url) {
        console.log(url);
        window.open(url, '_system', 'location=yes');
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["_8" /* ViewChild */])('audioOption'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1__angular_core__["t" /* ElementRef */])
    ], WaypointInfoPage.prototype, "audioPlayerRef", void 0);
    WaypointInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["m" /* Component */])({
            selector: 'page-waypoint-info',template:/*ion-inline-start:"/Users/valerio/Project/mazaraapp/src/pages/waypoint-info/waypoint-info.html"*/'<ion-header class="header header-md">\n  <ion-navbar>\n    <ion-title>\n      <div class="back_black" (click)="onClickCancel()"></div>\n      <p [innerHTML]="waypoint.nomebreve | sanitizeHtml"></p>\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n\n\n\n\n<div class="waydet_f" [ngStyle]="getBackgroundImage(waypoint.id)">\n</div>\n<div class="waydet_t" *ngIf="waypoint">\n<div class="wdt2" (click)="goTo(\'StreetViewPage\', waypoint)"></div>\n  \n<div class="ddcat" [innerHTML]="waypoint.categoria.nome | sanitizeHtml"></div>\n  \n<h1 [innerHTML]="waypoint.nome | sanitizeHtml"></h1>\n<b [innerHTML]="waypoint.sottotitolo | sanitizeHtml"></b>\n<p [innerHTML]="waypoint.descrizione | sanitizeHtml"></p>\n\n\n<div class="orari_details det_contatti_items" *ngIf="waypoint.mostracontatti">\n<strong>{{ \'Contatta struttura\' | translate }}</strong>\n<a *ngIf="waypoint.telefono1" class="dtctc_tel" (tap)="goToExternal(\'tel:\' + waypoint.telefono1)"></a>\n<a *ngIf="waypoint.telefono2" class="dtctc_tel2" (tap)="goToExternal(\'tel:\' + waypoint.telefono2)"></a>\n<a *ngIf="waypoint.whatsapp"  class="dtctc_wha" (tap)="goToExternal(\'tel:\' + waypoint.whatsapp)"></a>\n<a *ngIf="waypoint.booking" class="dtctc_bok" (tap)="goToExternal(waypoint.booking)"></a>\n<a *ngIf="waypoint.airbnb" class="dtctc_air" (tap)="goToExternal(waypoint.airbnb)"></a>\n<a *ngIf="waypoint.trip_advisor" class="dtctc_trip" (tap)="goToExternal(waypoint.trip_advisor)"></a>\n<a *ngIf="waypoint.bedandbreakfast" class="dtctc_bed" (tap)="goToExternal(waypoint.bedandbreakfast)"></a>\n\n\n\n\n\n\n</div>\n\n\n\n\n\n\n\n<div class="orari_details" *ngIf="waypoint.mostraorari">\n<strong>{{ \'Orari di Apertura\' | translate }}</strong>\n<p>{{ \'Lunedì\' | translate }}<em [innerHTML]="waypoint.lunedi | sanitizeHtml"></em></p>\n<p>{{ \'Martedì\' | translate }}<em [innerHTML]="waypoint.martedi | sanitizeHtml"></em></p>\n<p>{{ \'Mercoledì\' | translate }} <em [innerHTML]="waypoint.mercoledi | sanitizeHtml"></em></p>\n<p>{{ \'Giovedì\' | translate }} <em [innerHTML]="waypoint.giovedi | sanitizeHtml"></em></p>\n<p>{{ \'Venerdì\' | translate }} <em [innerHTML]="waypoint.venerdi | sanitizeHtml"></em></p>\n<p>{{ \'Sabato\' | translate }} <em [innerHTML]="waypoint.sabato | sanitizeHtml"></em></p>\n<p>{{ \'Domenica\' | translate }} <em [innerHTML]="waypoint.domenica | sanitizeHtml"></em></p>\n</div>\n\n\n\n<div class="orari_details" *ngIf="waypoint.checkin">\n<strong>{{ \'Check-In e Check-Out\' | translate }}</strong>\n<p>Check-In <em [innerHTML]="waypoint.checkin | sanitizeHtml">  </em></p>\n<p>Check-Out <em [innerHTML]="waypoint.checkout | sanitizeHtml"> </em></p>\n</div>\n  \n\n<p *ngIf="waypoint.descrizionelunga" [innerHTML]="waypoint.descrizionelunga | sanitizeHtml"></p>\n\n\n\n\n<div class="orari_details location">\n<strong>Location</strong>\n\n\n\n\n<div class="location_map">\n<div (tap)="goToNextTab()" class="piuinfomobilet button button-md button-default button-default-md">{{ \'Visualizza Mappa\' | translate }}</div> \n</div>\n<p *ngIf="waypoint.indirizzo">{{ \'Indirizzo\' | translate }}<em [innerHTML]="waypoint.indirizzo | sanitizeHtml"> </em></p>\n<p *ngIf="waypoint.telefono1">{{ \'Telefono\' | translate }}<em [innerHTML]="waypoint.telefono1 | sanitizeHtml"></em></p>\n<p *ngIf="waypoint.telefono2">{{ \'Telefono\' | translate }} <em [innerHTML]="waypoint.telefono2 | sanitizeHtml">  </em></p>\n<p *ngIf="waypoint.email">Email <em [innerHTML]="waypoint.email | sanitizeHtml">  </em></p>\n<p *ngIf="waypoint.website">Website <em [innerHTML]="waypoint.website | sanitizeHtml"> </em></p>\n</div>\n    \n\n\n\n<div class="pdetail_car" *ngIf="waypoint.mostracaratteristiche">\n<strong>{{ \'Caratteristiche\' | translate }}</strong>\n<div *ngIf="waypoint.accessibile" class="pdetail_car_it">{{ \'Accessibile\' | translate }}</div>\n<div *ngIf="waypoint.animali_ammessi" class="pdetail_car_it">{{ \'Animali Ammessi\' | translate }}</div>\n<div *ngIf="waypoint.aria_condizionata" class="pdetail_car_it">{{ \'Aria condizionata\' | translate }}</div>\n<div *ngIf="waypoint.bar" class="pdetail_car_it">{{ \'Bar\' | translate }}</div>\n<div *ngIf="waypoint.campo_da_tennis" class="pdetail_car_it">{{ \'Campo Tennis\' | translate }}</div>\n<div *ngIf="waypoint.colazione_inclusa" class="pdetail_car_it">{{ \'Colazione inclusa\' | translate }}</div>\n<div *ngIf="waypoint.escursioni" class="pdetail_car_it">{{ \'Escursioni\' | translate }}</div>\n<div *ngIf="waypoint.noleggio_biciclette" class="pdetail_car_it">{{ \'Noleggio biciclette\' | translate }}</div>\n<div *ngIf="waypoint.ombrelloni" class="pdetail_car_it">{{ \'Ombrelloni\' | translate }}</div>\n<div *ngIf="waypoint.palestra" class="pdetail_car_it">{{ \'Palestra\' | translate }}</div>\n<div *ngIf="waypoint.parcheggio_gratuito" class="pdetail_car_it">{{ \'Parcheggio gratuito\' | translate }}</div>\n<div *ngIf="waypoint.ping_pong" class="pdetail_car_it">{{ \'Ping pong\' | translate }}</div>\n<div *ngIf="waypoint.piscina" class="pdetail_car_it">{{ \'Piscina\' | translate }}</div>\n<div *ngIf="waypoint.reception" class="pdetail_car_it">{{ \'Reception\' | translate }}</div>\n<div *ngIf="waypoint.ristorante" class="pdetail_car_it">{{ \'Ristorante\' | translate }}</div>\n<div *ngIf="waypoint.sala_giochi" class="pdetail_car_it">{{ \'Sala giochi\' | translate }}</div>\n<div *ngIf="waypoint.sauna" class="pdetail_car_it">{{ \'Sauna\' | translate }}</div>\n<div *ngIf="waypoint.spa" class="pdetail_car_it">{{ \'Spa\' | translate }}</div>\n<div *ngIf="waypoint.spettacoli" class="pdetail_car_it">{{ \'Spettacoli\' | translate }}</div>\n<div *ngIf="waypoint.spiaggia" class="pdetail_car_it">{{ \'Spiaggia\' | translate }}</div>\n<div *ngIf="waypoint.tv_satellitare" class="pdetail_car_it">{{ \'TV satellitare\' | translate }}</div>\n<div *ngIf="waypoint.wifi" class="pdetail_car_it">{{ \'Wifi\' | translate }}</div>\n<div *ngIf="waypoint.cucina_locale" class="pdetail_car_it">{{ \'Cucina locale\' | translate }}</div>\n<div *ngIf="waypoint.pizza" class="pdetail_car_it">{{ \'Pizza\' | translate }}</div>\n<div *ngIf="waypoint.pesce" class="pdetail_car_it">{{ \'Pesce\' | translate }}</div>\n<div *ngIf="waypoint.steakhouse" class="pdetail_car_it">{{ \'Steakhouse\' | translate }}</div>\n<div *ngIf="waypoint.cucina_internazionale" class="pdetail_car_it">{{ \'Cucina internazionale\' | translate }}</div>\n<div *ngIf="waypoint.gastronomia" class="pdetail_car_it">{{ \'Gastronomia\' | translate }}</div>\n<div *ngIf="waypoint.caffe" class="pdetail_car_it">{{ \'Caffe\' | translate }}</div>\n<div *ngIf="waypoint.servizio_al_tavolo" class="pdetail_car_it">{{ \'Servizio al tavolo\' | translate }}</div>\n<div *ngIf="waypoint.per_vegetariani" class="pdetail_car_it">{{ \'Per vegetariani\' | translate }}</div>\n<div *ngIf="waypoint.opzioni_senza_glutine" class="pdetail_car_it">{{ \'Opzioni senza glutine\' | translate }}</div>\n<div *ngIf="waypoint.posti_a_sedere" class="pdetail_car_it">{{ \'Posti a sedere\' | translate }}</div>\n<div *ngIf="waypoint.serve_alcolici" class="pdetail_car_it">{{ \'Serve alcolici\' | translate }}</div>\n<div *ngIf="waypoint.prenotazioni" class="pdetail_car_it">{{ \'Prenotazioni\' | translate }}</div>\n<div *ngIf="waypoint.accetta_carte_di_credito" class="pdetail_car_it">{{ \'Accetta carte di credito\' | translate }}</div>\n</div>\n\n\n\n\n\n</div>\n\n\n\n\n\n</ion-content>\n\n\n\n\n\n\n\n\n\n\n\n\n\n  <audio #audioOption><source [src]="waypoint.audioguidalink" type="audio/mp3"></audio>\n\n\n\n  <div class="infowalka" *ngIf="waypoint.mostrafooter">\n  \n    <div *ngIf="waypoint.audioguidalink && waypoint.audioguidalink !== \'null\'" class="infowalka_it infowalkait1" [class.selected]="onPlaySelected" (tap)="onAudioPlay()">\n    <span></span>\n    <strong translate>{{ \'Audio Guida\' | translate }}</strong>\n    </div>\n    \n    <div  *ngIf="waypoint.videolink && waypoint.videolink !== \'null\'" class="infowalka_it infowalkait2" (click)="createPopover(waypoint.videolink, \'Video\', \'video\')">\n    <span></span>\n    <strong translate>{{ \'Video\' | translate }}</strong>\n    </div>\n    \n   \n    \n    </div>\n'/*ion-inline-end:"/Users/valerio/Project/mazaraapp/src/pages/waypoint-info/waypoint-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["d" /* Events */], __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["o" /* PopoverController */], __WEBPACK_IMPORTED_MODULE_2__shared_services_data_service__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["b" /* App */]])
    ], WaypointInfoPage);
    return WaypointInfoPage;
}());

//# sourceMappingURL=waypoint-info.js.map

/***/ })

});
//# sourceMappingURL=3.js.map